<div class="container">
    <h4>RSVP</h4>
    <div class="tools d-flex flex-row justify-content-between">
        {% render "pagination", maxPage: maxPage, current_url: "/admin/",  page: page %}
        <div>
            <form action="/admin" method="get" class="input-group">
                <span class="input-group-text">From</span>
                <input class="form-control" type="date" name="start" value="{{ start }}"/>
                <span class="input-group-text">To</span>
                <input class="form-control" type="date" name="end" value="{{ end }}"/>
                <input class="btn btn-outline-primary" type="submit"/>
            </form>
        </div>
        <div>
            <a href="/admin/export?pagesize=5000&{{ query }}" class="btn btn-outline-primary" download="export.csv">Export All</a>
        </div>
    </div>

    <table class="table table-hover">
        <thead>
        <tr>
            <th>ID</th>
            <th>Email Address</th>
            <th>Can you attend?</th>
            <th>What are the names of people attending?</th>
            <th>How did you hear about this event?</th>
            <th>Comments</th>
            <th>Created at</th>
            <th></th>
        </tr>
        </thead>
        {% for item in items %}
            <tr>
                <td><a href="/admin/{{ item.id }}">{{item.id}}</a></td>
                <td>{{item.email}}</td>
                <td>{{item.rsvp}}</td>
                <td>{{item.name}}</td>
                <td>{{item.source}}</td>
                <td>{{item.comment}}</td>
                <td>{{ item.created_at | append:"z" | date: "%Y-%m-%d %H:%M:%S" }}</td>
                <td>{% if item.rsvp contains 'Yes' %}<a class="btn btn-primary" href="#">Confirm</a>{% else %} --- {% endif %}</td>
            </tr>
        {% endfor %}
    </table>
    {% render "pagination", maxPage: maxPage, current_url: "/admin/",  page: page %}
</div>